# Uses of Class
com.ngrok.definitions.EndpointTlsTermination

Packages that use EndpointTlsTermination
Package
Description
com.ngrok.definitions
com.ngrok.services

- ## Uses of EndpointTlsTermination in com.ngrok.definitions

  Methods in com.ngrok.definitions that return EndpointTlsTermination
  Modifier and Type
  Method
  Description
  `EndpointTlsTermination`
  EndpointTlsTermination.Builder.`build()`
  Constructs the `EndpointTlsTermination` instance.
  Methods in com.ngrok.definitions that return types with arguments of type EndpointTlsTermination
  Modifier and Type
  Method
  Description
  `Optional<EndpointTlsTermination>`
  HttpsEdge.`getTlsTermination()`
  Fetches the value of the `tlsTermination` property.
  `Optional<EndpointTlsTermination>`
  TlsEdge.`getTlsTermination()`
  Fetches the value of the `tlsTermination` property.

- ## Uses of EndpointTlsTermination in com.ngrok.services

  Methods in com.ngrok.services that return EndpointTlsTermination
  Modifier and Type
  Method
  Description
  `EndpointTlsTermination`
  HttpsEdgeTlsTerminationModule.GetCallBuilder.`blockingCall()`
  Initiates the API call and blocks until it returns.
  `EndpointTlsTermination`
  HttpsEdgeTlsTerminationModule.ReplaceCallBuilder.`blockingCall()`
  Initiates the API call and blocks until it returns.
  `EndpointTlsTermination`
  TlsEdgeTlsTerminationModule.GetCallBuilder.`blockingCall()`
  Initiates the API call and blocks until it returns.
  `EndpointTlsTermination`
  TlsEdgeTlsTerminationModule.ReplaceCallBuilder.`blockingCall()`
  Initiates the API call and blocks until it returns.
  Methods in com.ngrok.services that return types with arguments of type EndpointTlsTermination
  Modifier and Type
  Method
  Description
  `CompletionStage<EndpointTlsTermination>`
  HttpsEdgeTlsTerminationModule.GetCallBuilder.`call()`
  Initiates the API call asynchronously.
  `CompletionStage<EndpointTlsTermination>`
  HttpsEdgeTlsTerminationModule.ReplaceCallBuilder.`call()`
  Initiates the API call asynchronously.
  `CompletionStage<EndpointTlsTermination>`
  TlsEdgeTlsTerminationModule.GetCallBuilder.`call()`
  Initiates the API call asynchronously.
  `CompletionStage<EndpointTlsTermination>`
  TlsEdgeTlsTerminationModule.ReplaceCallBuilder.`call()`
  Initiates the API call asynchronously.
  Methods in com.ngrok.services with parameters of type EndpointTlsTermination
  Modifier and Type
  Method
  Description
  `TlsEdgeTlsTerminationModule.ReplaceCallBuilder`
  TlsEdgeTlsTerminationModule.ReplaceCallBuilder.`module(EndpointTlsTermination module)`
  Sets the `module` parameter.
  `EdgesTls.CreateCallBuilder`
  EdgesTls.CreateCallBuilder.`tlsTermination(EndpointTlsTermination tlsTermination)`
  Sets the `tls_termination` parameter.
  `EdgesTls.UpdateCallBuilder`
  EdgesTls.UpdateCallBuilder.`tlsTermination(EndpointTlsTermination tlsTermination)`
  Sets the `tls_termination` parameter.
  Method parameters in com.ngrok.services with type arguments of type EndpointTlsTermination
  Modifier and Type
  Method
  Description
  `TlsEdgeTlsTerminationModule.ReplaceCallBuilder`
  TlsEdgeTlsTerminationModule.ReplaceCallBuilder.`module(Optional<EndpointTlsTermination> module)`
  Sets (or unsets) the `module` parameter.
  `EdgesTls.CreateCallBuilder`
  EdgesTls.CreateCallBuilder.`tlsTermination(Optional<EndpointTlsTermination> tlsTermination)`
  Sets (or unsets) the `tls_termination` parameter.
  `EdgesTls.UpdateCallBuilder`
  EdgesTls.UpdateCallBuilder.`tlsTermination(Optional<EndpointTlsTermination> tlsTermination)`
  Sets (or unsets) the `tls_termination` parameter.